Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLDataCardinalityRestrictionImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLDataRestrictionImpl
                  |
                  +--org.semanticweb.owl.impl.model.OWLDataCardinalityRestrictionImpl

All Implemented Interfaces:
  Cloneable, OWLCardinalityRestriction, OWLDataCardinalityRestriction, OWLDataRestriction, OWLDescription, OWLObject, OWLRestriction, Serializable

public class OWLDataCardinalityRestrictionImpl
extends OWLDataRestrictionImpl
implements OWLDataCardinalityRestriction

A CardinalityRestriction that applies to an `OWLDataProperty`.

Version:
  $Id: OWLDataCardinalityRestrictionImpl.java,v 1.1.1.1 2003/10/14 17:10:14 sean_bechhofer Exp $
See Also:
  Serialized Form

Field Summary
`static int` | `UNSET` A value that represents an unset cardinality.

Constructor Summary
`OWLDataCardinalityRestrictionImpl(OWLDataFactoryImpl factory, OWLDataProperty property, int atLeast, int atMost)`

Method Summary
`void` | `accept(OWLDescriptionVisitor visitor)` Accept a visit from a visitor
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor
`int` | `getAtLeast()`
`int` | `getAtMost()`
`boolean` | `isAtLeast()` Is this an atleast cardinality restriction?
`boolean` | `isAtMost()` Is this an atmost cardinality restriction?
`boolean` | `isExactly()` Is this an exact cardinality restriction, i.e. does atleast == atmost?

Methods inherited from class org.semanticweb.owl.impl.model.OWLDataRestrictionImpl
`getDataProperty, getProperty`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLDataRestriction
`getDataProperty`

Methods inherited from interface org.semanticweb.owl.model.OWLRestriction
`getProperty`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Field Detail

### UNSET

    public static final int UNSET

  A value that represents an unset cardinality.

  See Also:
    Constant Field Values

Constructor Detail

### OWLDataCardinalityRestrictionImpl

    public OWLDataCardinalityRestrictionImpl(OWLDataFactoryImpl factory,
                                             OWLDataProperty property,
                                             int atLeast,
                                             int atMost)

Method Detail

### getAtLeast

    public int getAtLeast()
                   throws OWLException

  Specified by:
    `getAtLeast` in interface `OWLCardinalityRestriction`
    `OWLException`

### getAtMost

    public int getAtMost()
                  throws OWLException

  Specified by:
    `getAtMost` in interface `OWLCardinalityRestriction`
    `OWLException`

### isAtMost

    public boolean isAtMost()

  Is this an atmost cardinality restriction?

  Specified by:
    `isAtMost` in interface `OWLCardinalityRestriction`

### isAtLeast

    public boolean isAtLeast()

  Is this an atleast cardinality restriction?

  Specified by:
    `isAtLeast` in interface `OWLCardinalityRestriction`

### isExactly

    public boolean isExactly()

  Description copied from interface: `OWLCardinalityRestriction`
  Is this an exact cardinality restriction, i.e. does atleast == atmost?

  Specified by:
    `isExactly` in interface `OWLCardinalityRestriction`

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### accept

    public void accept(OWLDescriptionVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLDescription`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLDescription`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb